#!/usr/bin/perl -w
#
# Test that the ChangesRSS module works.
#

use Changes;
use ChangesRSS;
use Data::Dumper;

my %oldChanges = (
    'Indiana Jones'         => { 'stars' => 4.5 },
    'Wall-E'                => { 'stars' => 4.2 },
    'Back To The Future'    => { 'stars' => 4.1 },
);

my %newChanges = (
    %oldChanges,
    'Top Gun'               => { 'stars' => 2.7 },
    'Wall-E'                => { 'stars' => 4.3 },
);

# Make a changes list
my $changes = undef;
$changes = Changes::compare(
    $changes,
    'Film',        # Item article
    \%oldChanges,   
    \%newChanges,
    \& describe
);

# Print it to show that we have a sensible changelist
print Changes::toText($changes);

my $rss_config = {
    'title' => 'Films! Lots of the them!',
    'link'  => 'http://me.gerph.org:11030',
};

# Generate an RSS file and print it
print ChangesRSS::generate($changes, undef, $rss_config);

# Generate a real RSS file on disc
ChangesRSS::generateFile($changes, 'changerss-test.rss', 'test', $rss_config);



##
# Simple function to describe the data
sub describe
{
    my ($val) = @_;
    return "$val->{'stars'} stars\n";
}